Bug 189110 - yum supports no "quiet" option
Summary: yum supports no "quiet" option
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-16 10:33 UTC by Graham Leggett
Modified: 2014-01-21 22:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 20:47:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Graham Leggett 2006-04-16 10:33:36 UTC
yum supports no command line option to be "quiet". This, coupled with the
inability to redirect output from yum makes it impractical to be used on slow
networks, or on remote machines:

[root@gatekeeper rpm]# yum --help
Loading "installonlyn" plugin
usage: yum [options] < update | install | info | remove | list |
    clean | provides | search | check-update | groupinstall | 
    groupupdate | grouplist | groupinfo | groupremove |
    makecache | localinstall | erase | upgrade | whatprovides |
    localupdate | resolvedep | shell | deplist >

options:
  -h, --help            show this help message and exit
  -t, --tolerant        be tolerant of errors
  -C                    run entirely from cache, don't update cache
  -c  [config file]     config file location
  -R  [minutes]         maximum command wait time
  -d  [debug level]     debugging output level
  -e  [error level]     error output level
  -y                    answer yes for all questions
  --version             show Yum version and exit
  --installroot=[path]  set install root
  --enablerepo=[repo]   enable one or more repositories (wildcards allowed)
  --disablerepo=[repo]  disable one or more repositories (wildcards allowed)
  --exclude=[package]   exclude package(s) by name or glob
  --obsoletes           enable obsoletes processing during updates
  --noplugins           disable Yum plugins

Comment 1 Jeremy Katz 2006-04-19 20:47:42 UTC
Try yum -d0


Note You need to log in before you can comment on or make changes to this bug.